Subject: Comments on draft-farrresnickel-harassment-01 - A mostly 'NO' view

From: Michael StJohns <[email-masked]>
Date: Tue, 18 Mar 2014 12:54:17 -0400

I missed this the first time around and went back to read it when I saw Mary's comments.  My first reaction was "seriously?".

The IETF is a non-membership standards body.  We are perfectly within our rights to deal with public disruptions of the standards process, and we have procedures in place to do just that with respect to all IETF controlled mailing lists.  We are also perfectly within our rights to exclude people who do not conform to accepted behavior norms - again - in public - at IETF meetings as a matter of safety, decorum or protecting standards production.   It's less clear that we can exclude someone from attending a meeting solely based on bad behavior on a mailing list.  [I've been told for example that one mailing list participant I consider somewhat disruptive was quite respectful in person].

The key word here is "public".  Where I think the document goes off the rails is that it provides an IETF cause of action for private interactions with a related confidential investigation and resolution process and I believe that way lies madness.

The IETF is not an employer of the attendees/participants.  The attendees/participants are not - formally - members of the IETF.  The attendees are not in loco parentis wards of the IETF (e.g. school kids - at least I hope).  There's no contract between the IETF and the participants - for private interactions - that would provide the IETF (in the form of this ombudsman) the justification for inserting itself as a third party in its disputes with another party solely because both participate in the IETF. 

I got this off the IEEE web site:  (http://www.ieee.org/about/corporate/governance/p9-26.html)

>Harassment is one form of discrimination.  Harassment is defined as conduct that has the purpose or effect of unreasonably interfering with an individual's participation in IEEE activities or creating an intimidating, hostile or offensive environment.  Harassment occurs when submission to or rejection of such conduct is made either explicitly or implicitly a term or condition of an individual's participation in IEEE activities or used as a basis for decisions affecting that individual’s relationship to the IEEE.  

I think they got this exactly right (and I wish the IESG statement read similarly).  Note that they explicitly limit their interest to actions affecting the standards process.  Given that, and given that the IETF standards process is supposed to be public, I think the confidential investigation and resolution processes proposed by the document are self-defeating and not in keeping with the general IETF desire for openness and transparency.

IANAL, but, I would expect that any attempt to impose IETF sanctions due to private interactions based on a confidential investigation could leave the IETF vulnerable to being sued.  AIRC, the IETF has an insurance policy that indemnifies various IETF related folk against being sued for actions related to the standards activities - it would be interesting to get a read of the underwriter as to whether the policy would cover non-public harassment related actions without a substantial IETF node.

I don't have a great objection to having a non-executive ombudsman who's job it is to act as a resource for the chairs, IAB, IESG, IAOC and IETF Trust and the participants in dealing with interaction issues of any kind. But I would expect the output of that interaction - for non-public issues - to be limited to mediation on the IETFs part between the parties.  Any further actions would need to be taken by the harassed in whatever legal, moral or commercial non-IETF context that is appropriate.  Alternately, the harassed can choose to make whatever documentation they have available public and move this into the more normal channels.
.

Mike

ps - There was a set of science fiction novels based on a world or in a country that had only two laws:  (1) Don't annoy anyone unnecessarily. (2) Don't be annoyed easily.    They used these to cover all sorts of things up to and including murder.   I will note that I don't think the IETF does well complying with either of these and I think that (2) is actually more important than (1) for us.